package com.mx.dla.dda.contrato.fees.dtos;

import java.util.ArrayList;
import java.util.List;

import com.mx.dla.global.dtos.BaseDTO;

public class FeesPagoCostoDTO extends BaseDTO{
	
	private static final long serialVersionUID = 1L;

	private Long   idCategoria;
	private String descCategoria;
	private Long   idCtoPago;
	private List<FeesPagoRangoDTO> rangos;
	
	public FeesPagoCostoDTO(){}
	
	public FeesPagoCostoDTO(Long idPeriodo, String descPeriodo, Integer numRangos){
		this.idCategoria   = idPeriodo;
		this.descCategoria = descPeriodo;
		
		rangos = new ArrayList<FeesPagoRangoDTO>();
		for(int i=0; i< numRangos; i++)
		{				   			  
		    FeesPagoRangoDTO rango = new FeesPagoRangoDTO(0L, "", "","");
		    rangos.add(rango);
		}		
	}
	
	public Long getIdCategoria() {
		return idCategoria;
	}
	public void setIdCategoria(Long idCategoria) {
		this.idCategoria = idCategoria;
	}
	public String getDescCategoria() {
		return descCategoria;
	}
	public void setDescCategoria(String descCategoria) {
		this.descCategoria = descCategoria;
	}

	public List<FeesPagoRangoDTO> getRangos() {
		return rangos;
	}
	public void setRangos(List<FeesPagoRangoDTO> rangos) {
		this.rangos = rangos;
	}

	public Long getIdCtoPago() {
		return idCtoPago;
	}

	public void setIdCtoPago(Long idCtoPago) {
		this.idCtoPago = idCtoPago;
	}
	
	
}
